import { MagmaAssistantMessage, MagmaFlowConfig, MagmaFlowMessage, MagmaToolCall, MagmaToolResult } from '@pompeii-labs/magma/types';
import { RefObject } from 'react';
import { WebSocketState } from './websocket-provider.js';
import React from 'react';
type AssistantMessageHandler = (message: MagmaAssistantMessage) => Promise<MagmaFlowMessage | void> | MagmaFlowMessage | void;
type ToolCallHandler = (toolCall: MagmaToolCall) => Promise<MagmaToolResult | void> | MagmaToolResult | void;
type WebSocketMessageHandler = (websocketMessage: MagmaFlowMessage) => Promise<MagmaFlowMessage | void> | MagmaFlowMessage | void;
type MagmaFlowContextType = {
    webSocketRef: RefObject<WebSocket>;
    socketState: WebSocketState;
    messages: MagmaFlowMessage[];
    sendMessage: (message: MagmaFlowMessage) => void;
    connect: ({ url, onOpen, onClose, webSocketMessageHandler, assistantMessageHandler, toolCallHandler, }: {
        url?: string;
        onOpen?: () => void;
        onClose?: () => void;
        webSocketMessageHandler?: WebSocketMessageHandler;
        assistantMessageHandler?: AssistantMessageHandler;
        toolCallHandler?: ToolCallHandler;
    }) => void;
    disconnect: () => void;
    config: MagmaFlowConfig | undefined;
    setConfig: (config: MagmaFlowConfig) => void;
    recording: boolean;
    startRecording: () => void;
    stopRecording: () => void;
    abortPlayback: () => void;
    vadDetected: boolean;
    speaking: boolean;
    rms: number;
};
export declare const MagmaFlowContext: React.Context<MagmaFlowContextType>;
export declare const useMagmaFlow: () => MagmaFlowContextType;
export declare const MagmaFlowStateProvider: ({ children, apiKey, config, onToolCall, endpoint, }: {
    children: React.ReactNode;
    apiKey?: string;
    config?: MagmaFlowConfig;
    onToolCall?: (toolCall: MagmaToolCall) => void;
    endpoint?: string;
}) => React.JSX.Element;
export {};
