import { RefObject } from 'react';
import React from 'react';
interface WebSocketParams {
    url: string;
    onOpen: () => void;
    onMessage: (message: MessageEvent, ws: WebSocket) => void;
    onError: (error: Event) => void;
    onClose: () => void;
}
export type WebSocketState = WebSocket['OPEN'] | WebSocket['CONNECTING'] | WebSocket['CLOSING'] | WebSocket['CLOSED'];
export interface WSMessage {
    type: string;
    data: unknown;
}
export declare const WebSocketContext: React.Context<{
    webSocketRef: RefObject<WebSocket>;
    initializeSocket: ({ url, onOpen, onMessage, onError, onClose }: WebSocketParams) => void;
    socketState: WebSocketState;
}>;
export declare const useWebSocket: () => {
    webSocketRef: RefObject<WebSocket>;
    initializeSocket: ({ url, onOpen, onMessage, onError, onClose }: WebSocketParams) => void;
    socketState: WebSocketState;
};
export default function WebsocketProvider({ children }: {
    children: React.ReactNode;
}): React.JSX.Element;
export {};
