import { AnthropicModel, GroqModel, MagmaModel, MagmaProvider, OpenAIModel, TTSClient } from '@pompeii-labs/magma/types';
export declare const OpenAIModels: Record<string, OpenAIModel>;
export declare const AnthropicModels: Record<string, AnthropicModel>;
export declare const GroqModels: Record<string, GroqModel>;
export declare const ProviderModels: Record<MagmaProvider, Record<string, MagmaModel>>;
export declare const WhisperVoices: {
    readonly Alloy: "alloy";
    readonly Echo: "echo";
    readonly Fable: "fable";
    readonly Onyx: "onyx";
    readonly Nova: "nova";
    readonly Shimmer: "shimmer";
};
export type WhisperVoice = (typeof WhisperVoices)[keyof typeof WhisperVoices];
export declare const ElevenLabsVoices: {
    readonly Aria: "9BWtsMINqrJLrRacOk9x";
    readonly Roger: "CwhRBWXzGAHq8TQ4Fs17";
    readonly Sarah: "EXAVITQu4vr4xnSDxMaL";
    readonly Laura: "FGY2WhTYpPnrIDTdsKH5";
    readonly Charlie: "IKne3meq5aSn9XLyUdCD";
    readonly George: "JBFqnCBsd6RMkjVDRZzb";
    readonly Callum: "N2lVS1w4EtoT3dr4eOWO";
    readonly River: "SAz9YHcvj6GT2YYXdXww";
    readonly Liam: "TX3LPaxmHKxFdv7VOQHJ";
    readonly Charlotte: "XB0fDUnXU5powFXDhCwa";
    readonly Alice: "Xb7hH8MSUJpSbSDYk0k2";
    readonly Matilda: "XrExE9yKIg1WjnnlVkGX";
    readonly Will: "bIHbv24MWmeRgasZH58o";
    readonly Jessica: "cgSgspJ2msm6clMCkdW9";
    readonly Eric: "cjVigY5qzO86Huf0OWal";
    readonly Chris: "iP95p4xoKVk53GoZ742B";
    readonly Brian: "nPczCjzI2devNBz1zQrb";
    readonly Daniel: "onwK4e9ZLuTAKqWW03F9";
    readonly Lily: "pFZP5JQG7iQjIQuC4Bku";
    readonly Bill: "pqHfZKP75CvOlQylNhV4";
};
export type ElevenLabsVoice = (typeof ElevenLabsVoices)[keyof typeof ElevenLabsVoices] | (string & {});
export declare const DeepgramVoices: {
    readonly Asteria: "aura-asteria-en";
    readonly Luna: "aura-luna-en";
    readonly Stella: "aura-stella-en";
    readonly Athena: "aura-athena-en";
    readonly Hera: "aura-hera-en";
    readonly Orion: "aura-orion-en";
    readonly Arcas: "aura-arcas-en";
    readonly Perseus: "aura-perseus-en";
    readonly Angus: "aura-angus-en";
    readonly Orpheus: "aura-orpheus-en";
    readonly Helios: "aura-helios-en";
    readonly Zeus: "aura-zeus-en";
};
export type DeepgramVoice = (typeof DeepgramVoices)[keyof typeof DeepgramVoices];
export declare const TTSClientVoices: Record<TTSClient, Record<string, TTSVoice>>;
export type TTSVoice = WhisperVoice | ElevenLabsVoice | DeepgramVoice;
